## org.cometd.demo
Class ChatService

    java.lang.Object
      org.mortbay.cometd.BayeuxService
          org.cometd.demo.ChatService

    public class ChatService

extends BayeuxService

Constructor Summary
`ChatService(org.cometd.Bayeux bayeux)`

Method Summary
`void` `privateChat(org.cometd.Client source, String channel, Map<String,Object> data, String messageId)`
`void` `trackMembers(org.cometd.Client joiner, String channelName, Map<String,Object> data, String messageId)`

Methods inherited from class org.mortbay.cometd.BayeuxService
`exception, getBayeux, getClient, getThreadPool, isSeeOwnPublishes, send, setSeeOwnPublishes, setThreadPool, subscribe`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChatService

    public ChatService(org.cometd.Bayeux bayeux)

Method Detail

### trackMembers

    public void trackMembers(org.cometd.Client joiner,
                             String channelName,
                             Map<String,Object> data,
                             String messageId)

### privateChat

    public void privateChat(org.cometd.Client source,
                            String channel,
                            Map<String,Object> data,
                            String messageId)

Copyright © 1995-2008 Mort Bay Consulting. All Rights Reserved.